--- abv/src/bvl_bcomp_y.y	2009-06-14 09:51:19
+++ abv/src/bvl_bcomp_y.y	2026-05-01 10:31:02
@@ -49,6 +49,10 @@
 #include "bvl_util.h"
 #include "bvl_byacc.h"
 #include "bvl_bedef.h"
+#include "bvl_bspec.h"
+
+extern int yylex();
+extern int yyerror(char *);
 
 %}
 
--- asimut/src/c_hada_repondeur.c	2009-06-14 09:51:21
+++ asimut/src/c_hada_repondeur.c	2026-05-01 10:31:02
@@ -21,6 +21,8 @@
 #define ENTREE2 "fic_entree2"
 #define SORTIE "fic_sortie"
 
+extern void vhx_writeout(unsigned int, struct lkdins *, unsigned int, unsigned int);
+extern unsigned int vhx_readinput(struct lkdins *, unsigned int, unsigned int);
 
 void c_hada_repondeur (pt_lkdins)
 struct lkdins *pt_lkdins;
--- asimut/src/sch_debug.c	2009-06-14 09:51:21
+++ asimut/src/sch_debug.c	2026-05-01 10:31:02
@@ -8,6 +8,8 @@
 /* ###--------------------------------------------------------------### */
 
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "sch.h"
 #include "sch_debug.h"
--- asimut/src/vh_debug.c	2009-06-14 09:51:21
+++ asimut/src/vh_debug.c	2026-05-01 10:31:02
@@ -8,6 +8,8 @@
 /* ###--------------------------------------------------------------### */
 
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "mlo.h"
 #include "log.h"
@@ -17,6 +19,9 @@
 #include "vh_ltype.h"
 #include "vh_debug.h"
 
+extern void vhu_message(int, char *, int);
+extern void vhu_error(int, char *, char *);
+extern void vhu_toolbug(int code, char *str1, char *str2, int nbr1);
 
 /* ###--------------------------------------------------------------### */
 /* function	: read_field						*/
@@ -1392,7 +1397,7 @@
       *stkpnt           = stkidx;
       }
     else
-      vhu_error (120, NULL, NULL, 0);
+      vhu_error (120, NULL, NULL);
     }
   }
 
@@ -1591,7 +1596,7 @@
       break;
 
     default :
-      vhu_error (118, NULL, NULL, 0);
+      vhu_error (118, NULL, NULL);
     }
   }
 
@@ -1716,7 +1721,7 @@
 	/* ###------------------------------------------------------### */
 
     if (idx == _error_DFN)
-      vhu_error (118, NULL, NULL, 0);
+      vhu_error (118, NULL, NULL);
     else
       {
 
@@ -1733,7 +1738,7 @@
         if ((wrdcnt >= 2) && (indxs [wrdcnt - 1] != _error_DFN))
           pshtype = POINTER_DFN | s_DFN | indxs [wrdcnt - 1];
         else
-          vhu_error (119, NULL, NULL, 0);
+          vhu_error (119, NULL, NULL);
         }
       else
        pshtype = typ [idx];
@@ -1809,7 +1814,7 @@
                 readflg = 1;
                 }
               else
-                vhu_error (118, NULL, NULL, 0);
+                vhu_error (118, NULL, NULL);
               break;
 
 	/* ###------------------------------------------------------### */
@@ -1831,7 +1836,7 @@
                   readflg = 1;
                   }
                 else
-                  vhu_error (118, NULL, NULL, 0);
+                  vhu_error (118, NULL, NULL);
                 }
               break;
 
@@ -1844,7 +1849,7 @@
               if ((wrdcnt == 2) && (flags [1] == 1) && (nmbrs [1] < 10))
                 jtab [nmbrs[1]] = stk [stkpnt];
               else
-                vhu_error (118, NULL, NULL, 0);
+                vhu_error (118, NULL, NULL);
               break;
 
 	/* ###------------------------------------------------------### */
@@ -1856,7 +1861,7 @@
               if ((wrdcnt == 3) && (indxs [1] != _error_DFN))
                 disp_immd (str, pnt [indxs [1]], indxs [2]);
               else
-                vhu_error (118, NULL, NULL, 0);
+                vhu_error (118, NULL, NULL);
               break;
 
             }
@@ -1883,7 +1888,7 @@
                 readflg = 1;
                 }
               else
-                vhu_error (118, NULL, NULL, 0);
+                vhu_error (118, NULL, NULL);
               }
             }
           else
@@ -1907,7 +1912,7 @@
             readflg = 1;
             }
           else
-            vhu_error (118, NULL, NULL, 0);
+            vhu_error (118, NULL, NULL);
           break;
 
 	/* ###------------------------------------------------------### */
@@ -1924,7 +1929,7 @@
             readflg = 1;
             }
           else
-            vhu_error (118, NULL, NULL, 0);
+            vhu_error (118, NULL, NULL);
           break;
 
         }
--- asimut/src/vh_simulad.c	2002-04-04 10:44:23
+++ asimut/src/vh_simulad.c	2026-05-01 10:31:02
@@ -30,16 +30,22 @@
 #include "vh_simulad.h"
 #include "beh_delay.h"
 
+extern void vhi_models();
+extern void dast_dbg(void *, char *);
+extern char beh_backdelay(struct beden **, char *, unsigned char);
+extern void beh_setdelay(struct befig *, unsigned int, unsigned char, struct beden **);
+extern void beh_chkregdly(struct befig *, unsigned char);
+extern void vhx_commentspytable(struct paseq *, struct lkdspy *);
+extern void sch_SetCurrentTime(struct shdul *, unsigned int);
+extern void vhx_supdate(struct beden **, unsigned int);
+extern void vhx_vectorinit(struct lkdfig *);
+
 extern char MVL_ERRFLG;
 
 static char *VH_TUNIT_TABLE [] = { "vu", "fs", "ps", "ns", "us", "ms" };
 
 
-main (argc, argv)
-
-int   argc;
-char **argv;
-
+int main (int argc, char *argv[])
 {
   int              i             ;
   int              j             ;
--- asimut/src/vh_xcomm.c	2009-06-14 09:51:21
+++ asimut/src/vh_xcomm.c	2026-05-01 10:31:02
@@ -29,6 +29,15 @@
 #include "vh_globals.h"
 #include "vh_xcomm.h"
 
+extern void vhu_message(int, char *, int);
+extern int vhu_error(int, char *, char *);
+extern void vhu_warning(int, char *, char *);
+extern void vhu_toolbug(int, char *, char *, int);
+extern void vhu_splitname(char *, char **, char **);
+extern void sch_AddTransaction(struct shdul *, void *, void *, unsigned int,
+                               unsigned char, unsigned char, unsigned int, unsigned short);
+extern void vhx_addexec(struct ptype *);
+
 /* ###--------------------------------------------------------------### */
 /* function	: vhx_getvalu						*/
 /* description	: for the first call the function makes memory		*/
@@ -135,7 +144,7 @@
     while (pt_lkdins != NULL)
       {
       if (pt_lkdins->FLAG == VHL_CMODEL)
-        size += vhx_getvalu (pt_lkdins, &pt_mem, 0);
+        size += vhx_getvalu (pt_lkdins, &pt_mem, 0, NULL);
       else
         {
         pt_wriaux = pt_lkdins->WRIAUX;
@@ -633,7 +642,7 @@
     {
     if (pt_lkdins->FLAG == VHL_CMODEL)
       {
-      size = vhx_getvalu (pt_lkdins, &pt_mem, 0);
+      size = vhx_getvalu (pt_lkdins, &pt_mem, 0, NULL);
       fwrite (pt_mem, sizeof (char), size, fp);
       }
     else
@@ -1723,7 +1732,7 @@
       {
       if (pt_lkdins->FLAG == VHL_CMODEL)
         {
-        size = vhx_getvalu (pt_lkdins, &pt_mem, 0);
+        size = vhx_getvalu (pt_lkdins, &pt_mem, 0, NULL);
         fread (pt_mem, sizeof (char), size, fp);
         }
       else
@@ -2105,7 +2114,7 @@
 /* called func.	: vhx_addexec						*/
 /* ###--------------------------------------------------------------### */
 
-void vhx_callagain (pt_lkdins)
+void vhx_callagain (int pt_lkdins)
 
   {
   }
--- asimut/src/vh_xspec.c	2009-06-14 09:51:21
+++ asimut/src/vh_xspec.c	2026-05-01 10:31:02
@@ -24,6 +24,10 @@
 #include "vh_xcomm.h"
 #include "vh_xspec.h"
 
+extern void vhu_toolbug(int, char *, char *, int);
+extern void sch_AddTransaction(struct shdul *, void *, void *, unsigned int,
+                               unsigned char, unsigned char, unsigned int, unsigned short);
+
 /* ###--------------------------------------------------------------### */
 /* function	: vhx_execall						*/
 /* description	: execute the whole description				*/
@@ -1483,8 +1487,8 @@
   while (pt_simsig != NULL)
     {
     signame = (char *)getsigname(pt_simsig);
-    num_evt = st_getstat(dict, pt_simsig, CTXEVT, num_time, *(pt_simsig->CURVAL));
-    num_prb = st_getstat(dict, pt_simsig, CTXPRB, num_time, *(pt_simsig->CURVAL));
+    num_evt = st_getstat(dict, pt_simsig, (void *)CTXEVT, num_time, *(pt_simsig->CURVAL));
+    num_prb = st_getstat(dict, pt_simsig, (void *)CTXPRB, num_time, *(pt_simsig->CURVAL));
     pt_paiol = pt_paseq->PAIOL;
     while (pt_paiol != NULL)
       {
@@ -1542,8 +1546,8 @@
   while (pt_bussig != NULL)
     {
     signame = (char *)getsigname(pt_bussig);
-    num_evt = st_getstat(dict, pt_bussig, CTXEVT, num_time, *(pt_bussig->CURVAL));
-    num_prb = st_getstat(dict, pt_bussig, CTXPRB, num_time, *(pt_bussig->CURVAL));
+    num_evt = st_getstat(dict, pt_bussig, (void *)CTXEVT, num_time, *(pt_bussig->CURVAL));
+    num_prb = st_getstat(dict, pt_bussig, (void *)CTXPRB, num_time, *(pt_bussig->CURVAL));
     pt_paiol = pt_paseq->PAIOL;
     while (pt_paiol != NULL)
       {
@@ -1610,8 +1614,8 @@
         {
         sprintf(tmp, "%s.%s", pt_lkdins->INSNAME, pt_wriaux->BEAUX->NAME);
         signame = namealloc(tmp);
-        num_evt = st_getstat(dict, pt_wriaux, CTXEVT, num_time, *(pt_wriaux->CURVAL));
-        num_prb = st_getstat(dict, pt_wriaux, CTXPRB, num_time, *(pt_wriaux->CURVAL));
+        num_evt = st_getstat(dict, pt_wriaux, (void *)CTXEVT, num_time, *(pt_wriaux->CURVAL));
+        num_prb = st_getstat(dict, pt_wriaux, (void *)CTXPRB, num_time, *(pt_wriaux->CURVAL));
         (void) fprintf(fp, "signal %-25s : p('1') = %-6.4f | density = %6.4f ;\n", signame, (float)(num_prb)/(float)(num_time), (float)(num_evt) / (float)(num_cycle));
         }
       pt_wriaux = pt_wriaux->NEXT;
@@ -1629,8 +1633,8 @@
       {
       sprintf(tmp, "%s.%s", pt_lkdins->INSNAME, pt_wribux->BEBUX->NAME);
       signame = namealloc(tmp);
-      num_evt = st_getstat(dict, pt_wribux, CTXEVT, num_time, *(pt_wribux->CURVAL));
-      num_prb = st_getstat(dict, pt_wribux, CTXPRB, num_time, *(pt_wribux->CURVAL));
+      num_evt = st_getstat(dict, pt_wribux, (void *)CTXEVT, num_time, *(pt_wribux->CURVAL));
+      num_prb = st_getstat(dict, pt_wribux, (void *)CTXPRB, num_time, *(pt_wribux->CURVAL));
       (void) fprintf(fp, "tristate %-25s : p('1') = %-6.4f | density = %6.4f ;\n", signame, (float)(num_prb)/(float)(num_time), (float)(num_evt) / (float)(num_cycle));
       pt_wribux = pt_wribux->NEXT;
       }
@@ -1647,8 +1651,8 @@
       {
       sprintf(tmp, "%s.%s", pt_lkdins->INSNAME, pt_wrireg->BEREG->NAME);
       signame = namealloc(tmp);
-      num_evt = st_getstat(dict, pt_wrireg, CTXEVT, num_time, *(pt_wrireg->CURVAL));
-      num_prb = st_getstat(dict, pt_wrireg, CTXPRB, num_time, *(pt_wrireg->CURVAL));
+      num_evt = st_getstat(dict, pt_wrireg, (void *)CTXEVT, num_time, *(pt_wrireg->CURVAL));
+      num_prb = st_getstat(dict, pt_wrireg, (void *)CTXPRB, num_time, *(pt_wrireg->CURVAL));
       (void) fprintf(fp, "register %-25s : p('1') = %-6.4f | density = %6.4f ;\n", signame, (float)(num_prb)/(float)(num_time), (float)(num_evt) / (float)(num_cycle));
       pt_wrireg = pt_wrireg->NEXT;
       }
--- aut/src/auterror.h	2002-09-30 12:19:44
+++ aut/src/auterror.h	2026-05-01 10:31:02
@@ -93,5 +93,6 @@
 \------------------------------------------------------------*/
 
   extern  void  aut_error __P((int Error, char *Text, char *File, long Line));
+  extern  void  aut_warning __P((int Error, char *Text, char *File, long Line));
 
 # endif
--- b2f/src/b2f_error.h	2002-09-30 12:19:45
+++ b2f/src/b2f_error.h	2026-05-01 10:31:02
@@ -93,5 +93,7 @@
 |                          Functions                          |
 |                                                             |
 \------------------------------------------------------------*/
+void B2fDisplayError(char *File, int Line, int Error, char *Text);
+void B2fDisplayWarning(char *File, int Line, int Warning, char *Text);
 
 # endif
--- beh/src/beh_delbequad.c	2002-09-30 12:19:52
+++ beh/src/beh_delbequad.c	2026-05-01 10:31:02
@@ -43,7 +43,7 @@
 /* ###--------------------------------------------------------------### */
 
 void beh_delbequad (listbequad, ptbequad, mode)
-
+int listbequad;
 struct bequad *ptbequad;	/* pointer of the BEQUAD to be deleted	*/
 char           mode;		/* recursive delete or not (Y or N)	*/
 
--- bhl/src/beh_debug.c	2009-06-14 09:51:25
+++ bhl/src/beh_debug.c	2026-05-01 10:31:02
@@ -30,6 +30,8 @@
 /* ###--------------------------------------------------------------### */
 
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
--- bhl/src/beh_makbdd.c	2002-09-30 12:19:54
+++ bhl/src/beh_makbdd.c	2026-05-01 10:31:02
@@ -36,6 +36,8 @@
 /* ###--------------------------------------------------------------### */
 
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
--- bhl/src/beh_makderiv.c	2002-09-30 12:19:54
+++ bhl/src/beh_makderiv.c	2026-05-01 10:31:02
@@ -78,7 +78,7 @@
   pt_varidx = pt_bequad->VARLIST;
   while (pt_varidx != NULL)
     {
-    pt_node     = beh_derivSigByVar (pt_bequad->BDD, pt_varidx->DATA);
+    pt_node     = beh_derivSigByVar (pt_bequad->BDD, (short)pt_varidx->DATA);
     list_derive = beh_addbeder      (list_derive   , pt_node, pt_varidx->DATA);
 
     pt_varidx   = pt_varidx->NEXT;
--- bhl/src/beh_maknode.c	2002-09-30 12:19:54
+++ bhl/src/beh_maknode.c	2026-05-01 10:31:02
@@ -35,6 +35,8 @@
 #include "beh.h"
 #include "bhl.h"
 
+extern void beh_makquad(struct befig *);
+
 /* ###--------------------------------------------------------------### */
 /* function     : beh_maknode						*/
 /* description  : create node for each signal register or bus		*/ 
--- boog/src/bog_lib_negativ.c	2006-03-29 12:10:05
+++ boog/src/bog_lib_negativ.c	2026-05-01 10:31:02
@@ -55,7 +55,7 @@
       else {
          if (negativ) {
             abl=createablnotexpr(abl);
-            ABL_ARITY_L(abl)=1;
+            ABL_ARITY_L(abl)=(void *)1;
          }   
       }
       return abl;
@@ -63,30 +63,30 @@
 
    switch (ABL_OPER(abl)) {
       case ABL_AND: 
-         if (negativ) ABL_OPER_L(abl)=ABL_NAND;
-         else ABL_OPER_L(abl)=ABL_NOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NAND;
+         else ABL_OPER_L(abl)=(void *)ABL_NOR;
          negativ=!negativ;
          break;
       case ABL_NAND: 
-         if (negativ) ABL_OPER_L(abl)=ABL_NOR;
-         else ABL_OPER_L(abl)=ABL_NAND;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NOR;
+         else ABL_OPER_L(abl)=(void *)ABL_NAND;
          break;
       case ABL_OR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NOR;
-         else ABL_OPER_L(abl)=ABL_NAND;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NOR;
+         else ABL_OPER_L(abl)=(void *)ABL_NAND;
          negativ=!negativ;
          break;
       case ABL_NOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NAND;
-         else ABL_OPER_L(abl)=ABL_NOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NAND;
+         else ABL_OPER_L(abl)=(void *)ABL_NOR;
          break;
       case ABL_XOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NXOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NXOR;
          negativ=0;
          /*nothing to do:  same size XOR and NXOR*/
          break;
       case ABL_NXOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_XOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_XOR;
          negativ=0;
          /*nothing to do*/
          break;
@@ -98,7 +98,7 @@
       case ABL_STABLE:
          if (negativ) {
             abl=createablnotexpr(abl);
-            ABL_ARITY_L(abl)=1;
+            ABL_ARITY_L(abl)=(void *)1;
          }   
          return abl;
       default:
@@ -187,22 +187,22 @@
             ABL_CAR_L(leaf)=getablatomzero();
          else {
             ABL_CAR_L(chain)=createablnotexpr(ABL_CAR(chain));
-            ABL_ARITY_L(ABL_CAR(chain))=1;
+            ABL_ARITY_L(ABL_CAR(chain))=(void *)1;
          }   
          continue;
       }
       else if (ABL_OPER(leaf)==ABL_STABLE) {
          ABL_CAR_L(chain)=createablnotexpr(ABL_CAR(chain));
-         ABL_ARITY_L(ABL_CAR(chain))=1;
+         ABL_ARITY_L(ABL_CAR(chain))=(void *)1;
          continue;
       }
       switch (ABL_OPER(leaf)) {
-         case ABL_AND: ABL_OPER_L(leaf)=ABL_NAND; break; 
-         case ABL_OR: ABL_OPER_L(leaf)=ABL_NOR; break; 
-         case ABL_NAND: ABL_OPER_L(leaf)=ABL_AND; break; 
-         case ABL_NOR: ABL_OPER_L(leaf)=ABL_OR; break; 
-         case ABL_XOR: ABL_OPER_L(leaf)=ABL_NXOR; break; 
-         case ABL_NXOR: ABL_OPER_L(leaf)=ABL_XOR; break; 
+         case ABL_AND: ABL_OPER_L(leaf)=(void *)ABL_NAND; break;
+         case ABL_OR: ABL_OPER_L(leaf)=(void *)ABL_NOR; break;
+         case ABL_NAND: ABL_OPER_L(leaf)=(void *)ABL_AND; break;
+         case ABL_NOR: ABL_OPER_L(leaf)=(void *)ABL_OR; break;
+         case ABL_XOR: ABL_OPER_L(leaf)=(void *)ABL_NXOR; break;
+         case ABL_NXOR: ABL_OPER_L(leaf)=(void *)ABL_XOR; break;
          case ABL_NOT: 
             ABL_CAR_L(chain)=ABL_CADR(leaf);
             freechain(leaf);
@@ -214,10 +214,10 @@
    }
    
    switch (ABL_OPER(abl)) {
-      case ABL_AND: ABL_OPER_L(abl)=ABL_NOR; break; 
-      case ABL_OR: ABL_OPER_L(abl)=ABL_NAND; break; 
-      case ABL_NAND: ABL_OPER_L(abl)=ABL_OR; break; 
-      case ABL_NOR: ABL_OPER_L(abl)=ABL_AND; break; 
+      case ABL_AND: ABL_OPER_L(abl)=(void *)ABL_NOR; break;
+      case ABL_OR: ABL_OPER_L(abl)=(void *)ABL_NAND; break;
+      case ABL_NAND: ABL_OPER_L(abl)=(void *)ABL_OR; break;
+      case ABL_NOR: ABL_OPER_L(abl)=(void *)ABL_AND; break;
       case ABL_NOT: 
          chain=abl;
          abl=ABL_CADR(abl);
--- boog/src/bog_lib_permute.c	2006-03-29 12:10:05
+++ boog/src/bog_lib_permute.c	2026-05-01 10:31:02
@@ -248,7 +248,7 @@
    /*put the operator*/
    for (chain=list_abl; chain; chain=chain->NEXT) {
       head=createabloper(ABL_OPER(abl));
-      ABL_ARITY_L(head)=ABL_ARITY(abl);
+      ABL_ARITY_L(head)=(void *)ABL_ARITY(abl);
       ABL_CDR(head)=dupablchain(chain->DATA);
       chain->DATA=head;
    }   
--- boog/src/bog_map_adapt.c	2007-07-18 12:37:36
+++ boog/src/bog_map_adapt.c	2026-05-01 10:31:02
@@ -85,7 +85,7 @@
         {
           /*add a not*/
           not=createabloper(ABL_NOT);
-          ABL_ARITY_L(not)=1;
+          ABL_ARITY_L(not)=(void *)1;
           /*swap pointers references*/
           swap_pointers(port->ABL,not);
           ABL_CDR(port->ABL)=addchain(NULL,not);
@@ -94,12 +94,12 @@
       else  
       {
         switch (ABL_OPER(port->ABL)) {
-        case ABL_AND: ABL_OPER_L(port->ABL)=ABL_NAND; break;
-        case ABL_NAND: ABL_OPER_L(port->ABL)=ABL_AND; break;
-        case ABL_OR: ABL_OPER_L(port->ABL)=ABL_NOR; break;
-        case ABL_NOR: ABL_OPER_L(port->ABL)=ABL_OR; break;
-        case ABL_XOR: ABL_OPER_L(port->ABL)=ABL_NXOR; break;
-        case ABL_NXOR: ABL_OPER_L(port->ABL)=ABL_XOR; break;
+        case ABL_AND: ABL_OPER_L(port->ABL)=(void *)ABL_NAND; break;
+        case ABL_NAND: ABL_OPER_L(port->ABL)=(void *)ABL_AND; break;
+        case ABL_OR: ABL_OPER_L(port->ABL)=(void *)ABL_NOR; break;
+        case ABL_NOR: ABL_OPER_L(port->ABL)=(void *)ABL_OR; break;
+        case ABL_XOR: ABL_OPER_L(port->ABL)=(void *)ABL_NXOR; break;
+        case ABL_NXOR: ABL_OPER_L(port->ABL)=(void *)ABL_XOR; break;
         case ABL_NOT: /*no need to insert*/
             port->ABL=ABL_CADR_L(port->ABL); continue;
         default:
@@ -112,7 +112,7 @@
       
       /*insert a NOT to match perfectly with cell*/
       not=createabloper(ABL_NOT);
-      ABL_ARITY_L(not)=1;
+      ABL_ARITY_L(not)=(void *)1;
       /*swap pointers references*/
       swap_pointers(port->ABL,not);
       ABL_CDR(port->ABL)=addchain(NULL,not);
@@ -160,12 +160,12 @@
       /*evaluate with the biggest oper*/
       int arity=ABL_ARITY(expr);  /*memorize arity*/
       /*search the biggest arity which matches expr*/
-      for (ABL_ARITY_L(expr)=ABL_ARITY(expr)-1 ; ABL_ARITY(expr)>0; 
-      ABL_ARITY_L(expr)=ABL_ARITY(expr)-1) {
+      for (ABL_ARITY_L(expr)=(void *)(ABL_ARITY(expr)-1) ; ABL_ARITY(expr)>0;
+      ABL_ARITY_L(expr)=(void *)(ABL_ARITY(expr)-1)) {
          cell=cell_prepare(expr);
          if (cell) break;
       }
-      ABL_ARITY_L(expr)=arity;   /*put back arity*/
+      ABL_ARITY_L(expr)=(void *)arity;   /*put back arity*/
       if (!cell) {
          fprintf(stderr,"Library Error: No cell could match  '");
          display_abl(expr);
@@ -241,12 +241,12 @@
       /*evaluate with the biggest oper*/
       arity=ABL_ARITY(expr);  /*memorize arity*/
       /*search the biggest arity which matches expr*/
-      for (ABL_ARITY_L(expr)=ABL_ARITY(expr)-1 ; ABL_ARITY(expr)>0; 
-      ABL_ARITY_L(expr)=ABL_ARITY(expr)-1) {
+      for (ABL_ARITY_L(expr)=(void *)ABL_ARITY(expr)-1 ; ABL_ARITY(expr)>0;
+      ABL_ARITY_L(expr)=(void *)ABL_ARITY(expr)-1) {
          cell=cell_prepare(expr);
          if (cell) break;
       }
-      ABL_ARITY_L(expr)=arity;   /*put back arity*/
+      ABL_ARITY_L(expr)=(void *)arity;   /*put back arity*/
       if (!cell) {
          fprintf(stderr,"Library Error: No cell could match  '");
          display_abl(expr);
@@ -315,7 +315,7 @@
       biabl->VALABL=build_negativ(biabl->VALABL);  
       biabl->VALABL=createablnotexpr(biabl->VALABL);
       /* createablnotexpr() can simplify*/
-      if (!ABL_ATOM(biabl->VALABL)) ABL_ARITY_L(biabl->VALABL)=1;
+      if (!ABL_ATOM(biabl->VALABL)) ABL_ARITY_L(biabl->VALABL)=(void *)1;
    }
 
    cell=cell_prepare_bus(biabl);
--- boog/src/bog_map_pattern.c	2006-03-29 12:10:05
+++ boog/src/bog_map_pattern.c	2026-05-01 10:31:02
@@ -406,7 +406,7 @@
    /*create a temporary NOT to match perfectly with cell*/
    not=createabloper(ABL_NOT);
    ABL_CDR(not)=addchain(NULL,NULL);
-   ABL_ARITY_L(not)=1;
+   ABL_ARITY_L(not)=(void *)1;
    
    /*take those are biggest*/
    for (cell=getcell_logic_lib(); cell; cell=cell->NEXT) {
@@ -566,7 +566,7 @@
    /*create a temporary NOT to match perfectly with cell*/
    not=createabloper(ABL_NOT);
    ABL_CDR(not)=addchain(NULL,NULL);
-   ABL_ARITY_L(not)=1;
+   ABL_ARITY_L(not)=(void *)1;
    
    for (cell=getcell_tristate_lib(); cell; cell=cell->NEXT) {
       /*prepare for use*/
@@ -713,7 +713,7 @@
    /*create a temporary NOT to match perfectly with cell*/
    not=createabloper(ABL_NOT);
    ABL_CDR(not)=addchain(NULL,NULL);
-   ABL_ARITY_L(not)=1;
+   ABL_ARITY_L(not)=(void *)1;
    
    cell=getcell_register_lib();
 
--- boog/src/bog_normalize_ARITY.c	2006-03-29 12:10:05
+++ boog/src/bog_normalize_ARITY.c	2026-05-01 10:31:02
@@ -54,7 +54,7 @@
      put_arity_abl((chain_list*)ABL_CAR(pattern));
 	}
 
-   ABL_ARITY_L(abl)=arity;
+   ABL_ARITY_L(abl)=(void *)arity;
    return ;
 }
 
--- boog/src/bog_normalize_DAG.c	2009-06-14 09:51:30
+++ boog/src/bog_normalize_DAG.c	2026-05-01 10:31:02
@@ -41,8 +41,8 @@
 #include "bog_normalize_DAG.h"
 
 
-#define USING(node) {node=-mark;}
-#define USED(node) {node=(long)((((long)node<0)?0L:(long)node)+1L);}
+#define USING(node) {node=(struct bddnode *)-mark;}
+#define USED(node) {node=(struct bddnode *)((((long)node<0)?0L:(long)node)+1L);}
 #define IS_USING(node) ((long)node==-mark)
 #define IS_USED(node) ((long)node!=0)
 #define IS_UNUSED(node) ((long)node==0)
--- boog/src/bog_normalize_simplify.c	2006-03-29 12:10:06
+++ boog/src/bog_normalize_simplify.c	2026-05-01 10:31:02
@@ -57,13 +57,13 @@
    
    switch(ABL_OPER(abl)) {
    case ABL_NAND: 
-      ABL_OPER_L(abl)=ABL_AND;
+      ABL_OPER_L(abl)=(void *)ABL_AND;
       return createablnotexpr(abl);
    case ABL_NOR: 
-      ABL_OPER_L(abl)=ABL_OR;
+      ABL_OPER_L(abl)=(void *)ABL_OR;
       return createablnotexpr(abl);
    case ABL_NXOR: 
-      ABL_OPER_L(abl)=ABL_XOR;
+      ABL_OPER_L(abl)=(void *)ABL_XOR;
       return createablnotexpr(abl);
    default: return abl;         
    }
--- boom/src/boom_aux.c	2006-03-29 12:10:07
+++ boom/src/boom_aux.c	2026-05-01 10:31:02
@@ -434,6 +434,7 @@
 
   befig_list *BehFigure;
   beaux_list *InitialAux;
+  int RemoveBerin;
 {
   boombeauxinfo *AuxInfo;
   beaux_list    *BehAux;
--- bvl/src/bvl_bcomp_y.y	2011-02-06 09:37:32
+++ bvl/src/bvl_bcomp_y.y	2026-05-01 10:31:02
@@ -19,6 +19,8 @@
 #include "bvl_bedef.h"
 #include "bvl_bcomp_y.h"
 
+int yylex();
+
 /* ###--------------------------------------------------------------### */
 /* function	: bvl_y_error						*/
 /* description	: print an error message				*/
@@ -2833,7 +2835,7 @@
 	  Bar
 	  choice
 		{
-		if ($3 == "others")
+		if (!strcmp($3, "others"))
 		  bvl_error (30, NULL);
 		BVL_NM1LST = addchain (BVL_NM1LST, $3);
 		}
--- bvl/src/bvl_parse.c	2009-06-14 09:51:33
+++ bvl/src/bvl_parse.c	2026-05-01 10:31:02
@@ -16,6 +16,8 @@
 #include "bhl.h"
 #include "bvl.h"
 
+extern void bvl_y_restart(FILE *input_file);
+
 /* ###--------------------------------------------------------------### */
 /* function	: vhdlloadbefig						*/
 /* description	: analyze a behavioural VHDL description and produce a	*/
--- ctl/src/ctldel.c	2002-09-30 12:20:04
+++ ctl/src/ctldel.c	2026-05-01 10:31:02
@@ -50,6 +50,8 @@
 # include "ctldel.h"
 # include "ctlerror.h"
 
+extern void freectltype(ctltype_list *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- ctp/src/ctp_bspec.c	2002-09-30 12:20:05
+++ ctp/src/ctp_bspec.c	2026-05-01 10:31:02
@@ -37,6 +37,8 @@
 
 static int CtpEvalError = 0;
 
+extern void ctp_toolbug(int, char *, char *, int);
+
 # ifndef NO_DEBUG
 # define my_ctp_toolbug(V1,V2,V3,V4) \
    do { fprintf( stderr, "%s.%d:", autbasename(__FILE__,NULL), __LINE__);\
--- ctp/src/ctp_l.l	2004-07-13 17:25:37
+++ ctp/src/ctp_l.l	2026-05-01 10:33:38
@@ -1,4 +1,4 @@
-/*------------------------------------------------------------\
+/**------------------------------------------------------------\
 |                                                             |
 | This file is part of the Alliance CAD System Copyright      |
 | (C) Laboratoire LIP6 - Département ASIM Universite P&M Curie|
--- ctp/src/ctp_y.y	2009-06-14 09:51:34
+++ ctp/src/ctp_y.y	2026-05-01 10:31:02
@@ -44,6 +44,10 @@
 #include "ctp_bspec.h"
 #include "ctp_byacc.h"
 
+int yylex();
+int yyerror(char *);
+extern void addctlpredefinedtype(ctlfig_list *);
+
 #if 1
 # define my_fprintf fprintf( stdout, "%s.%d:", autbasename(__FILE__,NULL), __LINE__ ); fprintf
 # define my_ctp_error(N,V) \
--- dreal/src/GME.h	2002-09-30 12:20:07
+++ dreal/src/GME.h	2026-05-01 10:31:02
@@ -81,7 +81,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  extern void DrealBuidlPanelModify();
+  extern void DrealBuildPanelModify();
   extern void DrealBuildEditDialog();
 
   extern void DrealEditSelectPointDelete();
--- dreal/src/GME_dialog.c	2002-09-30 12:20:07
+++ dreal/src/GME_dialog.c	2026-05-01 10:31:02
@@ -64,6 +64,7 @@
 # include "GME_modify.h"
 # include "GME_search.h"
 # include "GME_edit.h"
+# include "GME_message.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GME_edit.c	2002-09-30 12:20:07
+++ dreal/src/GME_edit.c	2026-05-01 10:31:02
@@ -59,6 +59,7 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GME.h"
+# include "GMV.h"
 
 # include "GME_edit.h"
 # include "GME_panel.h"
--- dreal/src/GME_modify.c	2002-09-30 12:20:07
+++ dreal/src/GME_modify.c	2026-05-01 10:31:02
@@ -57,11 +57,14 @@
 # include "GMX.h"
 # include "GTB.h"
 # include "GME.h"
+# include "GMV.h"
 
 # include "GME_modify.h"
 # include "GME_panel.h"
 # include "GME_edit.h"
 # include "GME_message.h"
+
+extern void DrealLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GME_panel.c	2009-06-14 09:51:36
+++ dreal/src/GME_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,8 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/List.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "mph.h"
@@ -66,6 +68,9 @@
 # include "GME_modify.h"
 # include "GME_search.h"
 # include "GME_select.h"
+
+extern void DrealEditSelectAccept();
+extern void DrealEditSelectCancel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GME_search.c	2002-09-30 12:20:07
+++ dreal/src/GME_search.c	2026-05-01 10:31:02
@@ -66,6 +66,8 @@
 # include "GME_edit.h"
 # include "GME_message.h"
 
+extern void DrealLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- dreal/src/GME_select.c	2002-09-30 12:20:07
+++ dreal/src/GME_select.c	2026-05-01 10:31:02
@@ -60,10 +60,15 @@
 # include "GSB.h"
 # include "GME.h"
 # include "GMT.h"
+# include "GMV.h"
 
 # include "GME_select.h"
 # include "GME_message.h"
 
+extern void DrealLimitedLoop(Widget);
+extern void DrealFreeSelect(drealselect *);
+extern void DrealDisplaySelectList(char *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -111,7 +116,7 @@
   if ( IsRdsInstance( Rectangle ) )
   {
     sprintf( DrealSelectBuffer,
-    "  INSTANCE %s : %s", Rectangle->NAME );
+    "  INSTANCE : %s", Rectangle->NAME );
   }
   else
   if ( IsRdsFigure( Rectangle ) )
--- dreal/src/GMF_dialog.c	2002-09-30 12:20:07
+++ dreal/src/GMF_dialog.c	2026-05-01 10:31:02
@@ -62,6 +62,7 @@
 
 # include "GMF_dialog.h"
 # include "GMF_file.h"
+# include "GMF_menu.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMF_file.c	2002-09-30 12:20:07
+++ dreal/src/GMF_file.c	2026-05-01 10:31:02
@@ -59,8 +59,11 @@
 # include "GTB.h"
 # include "GSB.h"
 # include "GMF.h"
+# include "GMV.h"
 
 # include "GMF_file.h"
+
+extern void DrealDisplayToolsMessage();
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMF_panel.c	2002-09-30 12:20:07
+++ dreal/src/GMF_panel.c	2026-05-01 10:31:02
@@ -70,6 +70,8 @@
 # include "GMF_panel.h"
 # include "GMF_dialog.h"
 
+extern void DrealLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- dreal/src/GMH_panel.c	2004-07-29 06:10:52
+++ dreal/src/GMH_panel.c	2026-05-01 10:31:02
@@ -68,6 +68,8 @@
 # include "GMH_panel.h" 
 # include "LIP6bw.h"
 
+extern void DrealLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- dreal/src/GMS_menu.c	2002-09-30 12:20:08
+++ dreal/src/GMS_menu.c	2026-05-01 10:31:02
@@ -56,6 +56,7 @@
 
 # include "GMS_menu.h"
 # include "GMS_setup.h"
+# include "GMS_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- dreal/src/GMS_panel.c	2002-09-30 12:20:08
+++ dreal/src/GMS_panel.c	2026-05-01 10:31:02
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "mph.h"
@@ -60,6 +61,8 @@
 # include "GMS.h"
 
 # include "GMS_panel.h"
+
+extern void DrealLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
